/**
 * @file field.h
 * Header for the Field class (a sort of "bodyless" Actor).
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _FIELD_H
#define _FIELD_H

#include "actor.h"

/**
 * A sort of bodyless Actor.
 *
 * Fields are tickable, but have no presence on the screen.  Examples would
 * be Gravity, a Sun, or possibly global Wind.
 */
class Field : public Actor {
public:
//    virtual void tick(double t) = 0;
};

#endif // header guard
