#!/bin/bash

for each in "$@"; do
    ./decamel.pl $each > $each.fixed
    if diff -q $each $each.fixed; then
	# diff returns true if they don't differ
	rm $each.fixed
	continue
    fi
    mv $each $each.bak
    mv $each.fixed $each
    echo "Fixed: $each"
done
