/**
 * @file box.h
 * Header file for Box class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _BOX_H
#define _BOX_H

#include "object.h"

class Box : public Object {
public:

    Box( Model *model, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, double scale = 1.0, double mass = 1.0 );
    ~Box( void );

    virtual void tick( double t );

    virtual EffectHandler get_effect_handler( Effect *effect );

private:

};

#endif // header guard
