/**
 * @file sphere.h
 * Header file for Sphere class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SPHERE_H
#define _SPHERE_H

#include "object.h"

class Sphere : public Object {
public:

    Sphere( Model *model, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, double scale = 1.0, double mass = 1.0 );
    ~Sphere( void );

    virtual void tick( double t );

    virtual EffectHandler get_effect_handler( Effect *effect );

private:

};

#endif // header guard
