#!/usr/bin/perl -w
# deCamelify your sourceCode
# it's not quite perfect.

while (<>) {
    # fix functions: AbcdEfgh(
    while (m/^(.*[^\w])([A-Z][A-Za-z]*)+\((.*)$/) {
        $before = $1;
        $func = $2;
        $after = $3;

        $func =~ s/([a-z])([A-Z])/$1_$2/g;
        $func = lc($func);

        $_ = "$before$func($after\n";
    }

    # fix functions: ::AbcdEfgh
    while (m/^(.*::)([A-Z][A-Za-z]*)+(.*)$/) {
        $before = $1;
        $func = $2;
        $after = $3;

        $func =~ s/([a-z])([A-Z])/$1_$2/g;
        $func = lc($func);

        $_ = "$before$func$after\n";
    }

    # now fix variables
    while (m/^(.*[^\w])([a-z]+[A-Z]+[a-zA-Z]*)(.*)$/) {
        $before = $1;
        $var = $2;
        $after = $3;

        if ($var =~ m/^gl/) {
            # don't change gl functions
            last;
        }

        $var =~ s/([a-z])([A-Z])/$1_$2/g;
        $var = lc($var);

        $_ = "$before$var$after\n";
    }

    print $_;
}
