#!/bin/bash
# to convert the .eps file to a scaled .jpg (width 800)

if [ "$1" = "" ]; then
    echo "usage: $0 file.eps"
    exit 1
fi

[ "$scale" = "" ] && scale=800

orig=$1
new=${orig%.eps}.jpg

convert -scale $scale $orig $new
qiv $new
rm $orig
